# EffectVehicle Struct Reference

A special vehicle is one of the following:

- smoke
- electric sparks for trains
- explosions
- bulldozer (road works)
- bubbles (industry).

More...

`#include <effectvehicle_base.h>`

Inheritance diagram for EffectVehicle:

## Public Member Functions

| EffectVehicle ()
| We don't want GCC to zero our struct! It already is zeroed and has an index!
virtual | ~EffectVehicle ()
| We want to 'destruct' the right class.
const char * | GetTypeString () const
void | UpdateDeltaXY (Direction direction)
bool | Tick ()

## Data Fields

uint16 | animation_state
byte | animation_substate

## Detailed Description

A special vehicle is one of the following:

- smoke
- electric sparks for trains
- explosions
- bulldozer (road works)
- bubbles (industry).

Definition at line 25 of file effectvehicle_base.h.

## Constructor & Destructor Documentation

virtual EffectVehicle::~EffectVehicle | ( |  | ) | `[inline, virtual]`

We want to 'destruct' the right class.

Definition at line 32 of file effectvehicle_base.h.

The documentation for this struct was generated from the following files:

- src/effectvehicle_base.h
- src/effectvehicle.cpp